
package net.technisys.cmm.services.processuserloginbackoffice.rs.v1;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the net.technisys.cmm.services.processuserloginbackoffice.rs.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ProcessUserLoginBackofficeResponse_QNAME = new QName("http://www.technisys.net/cmm/services/processUserLoginBackoffice/rs/v1.0", "processUserLoginBackofficeResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.technisys.cmm.services.processuserloginbackoffice.rs.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Reason }
     * 
     */
    public Reason createReason() {
        return new Reason();
    }

    /**
     * Create an instance of {@link GlobalParam }
     * 
     */
    public GlobalParam createGlobalParam() {
        return new GlobalParam();
    }

    /**
     * Create an instance of {@link Customer }
     * 
     */
    public Customer createCustomer() {
        return new Customer();
    }

    /**
     * Create an instance of {@link Terminal }
     * 
     */
    public Terminal createTerminal() {
        return new Terminal();
    }

    /**
     * Create an instance of {@link Institution }
     * 
     */
    public Institution createInstitution() {
        return new Institution();
    }

    /**
     * Create an instance of {@link Service }
     * 
     */
    public Service createService() {
        return new Service();
    }

    /**
     * Create an instance of {@link Channel }
     * 
     */
    public Channel createChannel() {
        return new Channel();
    }

    /**
     * Create an instance of {@link Bank }
     * 
     */
    public Bank createBank() {
        return new Bank();
    }

    /**
     * Create an instance of {@link ProcessUserLoginBackofficeResponse }
     * 
     */
    public ProcessUserLoginBackofficeResponse createProcessUserLoginBackofficeResponse() {
        return new ProcessUserLoginBackofficeResponse();
    }

    /**
     * Create an instance of {@link Country }
     * 
     */
    public Country createCountry() {
        return new Country();
    }

    /**
     * Create an instance of {@link Branch }
     * 
     */
    public Branch createBranch() {
        return new Branch();
    }

    /**
     * Create an instance of {@link Dependency }
     * 
     */
    public Dependency createDependency() {
        return new Dependency();
    }

    /**
     * Create an instance of {@link Generic.CanAuthorize }
     * 
     */
    public Generic.CanAuthorize createGenericCanAuthorize() {
        return new Generic.CanAuthorize();
    }

    /**
     * Create an instance of {@link Generic }
     * 
     */
    public Generic createGeneric() {
        return new Generic();
    }

    /**
     * Create an instance of {@link Currency }
     * 
     */
    public Currency createCurrency() {
        return new Currency();
    }

    /**
     * Create an instance of {@link SystemUser }
     * 
     */
    public SystemUser createSystemUser() {
        return new SystemUser();
    }

    /**
     * Create an instance of {@link QuotationType }
     * 
     */
    public QuotationType createQuotationType() {
        return new QuotationType();
    }

    /**
     * Create an instance of {@link ActivityLog }
     * 
     */
    public ActivityLog createActivityLog() {
        return new ActivityLog();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProcessUserLoginBackofficeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.technisys.net/cmm/services/processUserLoginBackoffice/rs/v1.0", name = "processUserLoginBackofficeResponse")
    public JAXBElement<ProcessUserLoginBackofficeResponse> createProcessUserLoginBackofficeResponse(ProcessUserLoginBackofficeResponse value) {
        return new JAXBElement<ProcessUserLoginBackofficeResponse>(_ProcessUserLoginBackofficeResponse_QNAME, ProcessUserLoginBackofficeResponse.class, null, value);
    }

}
